- Qt 6.8
- Qt GUI
- C++ Classes
- QAccessiblePlugin
- Qt 6.8.3 Reference Documentation

# QAccessiblePlugin Class

The QAccessiblePlugin class provides an abstract base class for plugins provinding accessibility information for user interface elements. More...

Header: | `#include <QAccessiblePlugin>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QObject

- List of all members, including inherited members
- QAccessiblePlugin is part of Plugin Classes.

## Public Functions

| QAccessiblePlugin(QObject *parent = nullptr)
virtual | ~QAccessiblePlugin()
virtual QAccessibleInterface * | create(const QString &key, QObject *object) = 0

## Detailed Description

Writing an accessibility plugin is achieved by subclassing this base class, reimplementing the pure virtual function create(), and exporting the class with the Q_PLUGIN_METADATA() macro.

See also How to Create Qt Plugins.

## Member Function Documentation

### `[explicit]` QAccessiblePlugin::QAccessiblePlugin(QObject *parent = nullptr)

Constructs an accessibility plugin with the given parent. This is invoked automatically by the plugin loader.

### `[virtual noexcept]` QAccessiblePlugin::~QAccessiblePlugin()

Destroys the accessibility plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### `[pure virtual]` QAccessibleInterface *QAccessiblePlugin::create(const QString &key, QObject *object)

Creates and returns a QAccessibleInterface implementation for the class key and the object object. Keys are case sensitive.